Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing
Class ATestResourceFactory

    java.lang.Object
      org.eclipse.xtext.resource.XtextResourceFactory
          org.eclipse.amp.amf.testing.ATestResourceFactory

All Implemented Interfaces:
  org.eclipse.emf.ecore.resource.Resource.Factory, org.eclipse.xtext.resource.IResourceFactory

    public class ATestResourceFactory

extends org.eclipse.xtext.resource.XtextResourceFactory

Author:
  mparker

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

Constructor Summary
`ATestResourceFactory(com.google.inject.Provider<org.eclipse.xtext.resource.XtextResource> resourceProvider)`

Method Summary
`org.eclipse.emf.ecore.resource.Resource` | `createResource(org.eclipse.emf.common.util.URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestResourceFactory

    @Inject
    public ATestResourceFactory(com.google.inject.Provider<org.eclipse.xtext.resource.XtextResource> resourceProvider)

Parameters:
  `resourceProvider` -

Method Detail

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`
  Overrides:
    `createResource` in class `org.eclipse.xtext.resource.XtextResourceFactory`
  Parameters:
    `uri` -
  Returns:
  See Also:
    `XtextResourceFactory.createResource(org.eclipse.emf.common.util.URI)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD